# Issue Template

## Context

<!-- How has this issue affected you? What are you trying to accomplish?

Providing context helps us come up with a solution that is most useful in the real world -->

## Prerequisites

* [ ] Are you running the latest version?

## User Story:

* "I'm submitting a ... "
  - [ ] bug report
  - [ ] feature request
  - [ ] support request 
  - [ ] translation request 

<!-- Please delete (for bugs) or (for features) sections that are not relevant to the Issue you are creating.

Please provide any relevant information about your setup. This is important in case the issue is not reproducible except for under certain conditions. Provide a general summary of the issue in the title of your issue -->

## Expected Behavior

<!-- If you're describing a bug, tell us what should happen. If you're suggesting a change/improvement, tell us how it should work. -->

## Current Behavior

<!-- If describing a bug, tell us what happens instead of the expected behavior. If suggesting a change/improvement, explain the difference from current behavior. -->

## Screenshots

<!-- If the issue is related to the GUI, screenshots can be added to this issue via drag & drop. -->

## Possible Solution

<!-- Not obligatory, but suggest a fix/reason for the bug or ideas how to implement the addition or change. -->

## Steps to Reproduce (for bugs)

<!-- Provide a link to a live example, or an unambiguous set of steps to reproduce this bug. Include code to reproduce, if relevant. -->

* Steps :
1.
2.
3.
4.

## Your Environment

<!-- Include as many relevant details about the environment you experienced the bug in. -->

* Verge Release:
* CPU:
* GPU:
* RAM:
* OS:
    - [ ] I'm using Mac
    - [ ] I'm using Linux
    - [ ] I'm using Mac

## Any extra information that might be useful in the debugging process.

<!-- This is normally the contents of a `debug.log` or `config.log` file. -->

